Bug 4011 - (othiman) Provide gstreamer plugin wavenc (normally part of gstreamer-plugins-base)
(othiman)
: Provide gstreamer plugin wavenc (normally part of gstreamer-plugins-base)
Status: RESOLVED FIXED
Product: Multimedia
gstreamer
: 4.1.2 (4.2008.36-5)
: x86 Maemo
: Low enhancement (vote)
: 5.0-alpha
Assigned To: unassigned
: gstreamer-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2009-01-16 15:57 UTC by Thomas Schlien
Modified: 2009-03-02 13:35 UTC (History)
4 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Thomas Schlien (reporter) 2009-01-16 15:57:15 UTC
SOFTWARE VERSION: 4.1.2 Diablo fresh install (scratchbox and sdk-dev)
(Control Panel > General > About product)

STEPS TO REPRODUCE THE PROBLEM:
after installing dev-sdk plugin wavenc is missing in /usr/lib/gstreamer while
waveparse is there (both part of gstreamer-plugins-base normally). Also
gst-inspect wavenc says "No such element or plugin 'wavenc'".

REPRODUCIBILITY:
always

EXTRA SOFTWARE INSTALLED:
nothing

OTHER COMMENTS:

User-Agent:       Mozilla/5.0 (X11; U; Linux i686; de-DE; rv:1.9.0.5)
Gecko/2008120121 Firefox/3.0.5
Comment 1 Andre Klapper maemo.org 2009-01-19 12:29:52 UTC
As far as I know Maemo does not include the entire gstreamer set by purpose.
Changing this into an enhancement request.
Comment 2 Quim Gil nokia 2009-01-25 18:04:28 UTC
Why do you need this plugin? I don't know the exact reasons not to have it in
Maemo, but before asking the developers it would be good to know what use you
want to make of it.

Thanks!
Comment 3 Thomas Schlien (reporter) 2009-01-26 11:06:36 UTC
As part of the EU-Project FlexCode (www.flexcode.eu, Partners: KTH, Nokia,
Orange, RWTH and Ericsson) we will use Maemo and gstreamer in the demonstrator.
It would be convenient to be able to write the encoded and decoded files back
as a wavfile. For this we need the wavenc plugin.

Thanks for your help.
Comment 4 Stefan Kost 2009-01-26 11:28:02 UTC
You can package and install your own plugins easily. Have a look at the ogg
support package [1]. Besides wavenc is part of gst-plugins-good. The good news
is that starting from fremantle all plugins not used by default with be in
gst-plugins-xxx-extra pakages available in the repositories.

[1] http://maemo.org/downloads/product/OS2008/ogg-support/

Is that enough for you?
Comment 5 Thomas Schlien (reporter) 2009-01-26 11:58:33 UTC
I already compiled the wavenc plugin for myself, but in my opinion this plugin
should be included in the standard installation (as it is for wavparse). But if
it is included in the next maemo release I'm absolutely fine with that.
Comment 6 Andre Klapper maemo.org 2009-01-26 12:57:41 UTC
I'd even call this "fixed for Fremantle" based on comment 4.